Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.model
Class SymbolicName

    java.lang.Object
      net.sf.statcvs.model.SymbolicName

All Implemented Interfaces:
  java.lang.Comparable

    public class SymbolicName

extends java.lang.Object
implements java.lang.Comparable

Represents a symbolic name (tags). It is a container for `Revision`s.

Version:
  $Id: SymbolicName.java,v 1.6 2009/08/20 17:44:05 benoitx Exp $
Author:
  Tammo van Lessen

Constructor Summary
`SymbolicName(java.lang.String name)` Creates a new symbolic name.
`SymbolicName(java.lang.String name, java.util.Date date)` Creates a new symbolic name.

Method Summary
`protected void` | `addRevision(Revision rev)` Adds a revision to this symbolic name.
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object obj)`
`java.util.Date` | `getDate()` Returns the 'date' of this symbolic name.
`java.lang.String` | `getName()` Returns the symbolic name's name.
`java.util.SortedSet` | `getRevisions()` Returns a set of `Revision`s contained in this symbolic name.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SymbolicName

    public SymbolicName(java.lang.String name,
                        java.util.Date date)

  Creates a new symbolic name.

  Parameters:
    `name` - the symbolic name's name
    `date` - of the symbolic name creation

### SymbolicName

    public SymbolicName(java.lang.String name)

  Creates a new symbolic name. With this constructor, its creation date will be assumed to be the date of its latest revision.

  Parameters:
    `name` - the symbolic name's name

Method Detail

### getName

    public java.lang.String getName()

  Returns the symbolic name's name.

  Returns:
    the symbolic name's name.

### addRevision

    protected void addRevision(Revision rev)

  Adds a revision to this symbolic name.

  Parameters:
    `rev` - the revision

### getRevisions

    public java.util.SortedSet getRevisions()

  Returns a set of `Revision`s contained in this symbolic name.

  Returns:
    the revisions

### getDate

    public java.util.Date getDate()

  Returns the 'date' of this symbolic name.

  Returns:
    the smbolic name's date

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD